#!/bin/sh

mount_dev=/dev/sda1
record_path=/mnt

while [ 1 ] ; do
    . ./cosmostreamer.conf

    if [ "$record_enabled" != "1" ] ; then
		sleep 1
		continue
	fi

    if [ "$mount_dev" = "" ] ; then
		sleep 1
		continue
	fi

    if [ "$record_path" = "" ] ; then
		sleep 1
		continue
	fi

    if [ -b $mount_dev ] ; then
		echo "USB drive found"
	else
		echo "USB drive not found"
		sleep 10
		continue
	fi

    if [ -f /run/camera_connected ] ; then
		echo "Camera connected"
	else
		echo "Camera not connected"
		sleep 5
		continue
	fi

	mount $mount_dev $record_path

	touch /run/onboardrecording
	./bin/recorder -e udpsrc port=3010 ! h264parse ! qtmux ! filesink location="$record_path/OSMOLIVE`date '+%Y%m%d%H%M%S'`.mp4"
	rm -f /run/onboardrecording

	sync

	umount $mount_dev

done
